This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 480600 - puppet initscript: condrestart should call status
puppet initscript: condrestart should call status
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: puppet (Show other bugs)
el4
All Linux
low Severity medium
: ---
: ---
Assigned To: Todd Zullinger
Fedora Extras Quality Assurance
ActualBug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-19 07:12 EST by Ingvar Hagelund
Modified: 2009-09-12 13:53 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.24.8-4.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-11 19:24:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ingvar Hagelund 2009-01-19 07:12:26 EST
Description of problem:
initscript condrestart does not call status

Version-Release number of selected component (if applicable):
0.24.7-4.el4
0.24.6-1.fc10

How reproducible:
Always

Steps to Reproduce:
1. service puppet start
2. pkill -9 puppet
3. service puppet condrestart
  
Actual results:
daemon starts though it was daed

Expected results:
daemon was dead, and should not be resurrected just because the pidfile exists

Additional info:
This behaviour is typically old-style RedHat, and many daemons behave like this. For example apache httpd has the same bug.

According to http://fedoraproject.org/wiki/Packaging/SysVInitScript , condrestart and try-restart _should_ use the status function (from /etc/sysconfig/functions), and not just rely on the pidfile.
Comment 1 Todd Zullinger 2009-06-12 19:06:50 EDT
I started to work on updating the initscripts to be in better compliance with the current standards and practices recommended by the packaging guidelines.  I'll submit this upstream sometime soon and find an agreeable patch that fixes this bug at the same time.
Comment 2 Fedora Update System 2009-08-10 11:04:07 EDT
puppet-0.24.8-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/puppet-0.24.8-4.fc10
Comment 3 Fedora Update System 2009-08-10 11:04:32 EDT
puppet-0.24.8-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/puppet-0.24.8-4.el5
Comment 4 Fedora Update System 2009-08-10 11:04:56 EDT
puppet-0.24.8-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/puppet-0.24.8-4.fc11
Comment 5 Fedora Update System 2009-08-10 11:05:21 EDT
puppet-0.24.8-4.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/puppet-0.24.8-4.el4
Comment 6 Fedora Update System 2009-08-11 16:36:51 EDT
puppet-0.24.8-4.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update puppet'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0262
Comment 7 Fedora Update System 2009-08-11 16:37:21 EDT
puppet-0.24.8-4.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update puppet'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0253
Comment 8 Fedora Update System 2009-08-11 18:33:49 EDT
puppet-0.24.8-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update puppet'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8477
Comment 9 Fedora Update System 2009-08-11 18:38:14 EDT
puppet-0.24.8-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update puppet'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8494
Comment 10 Fedora Update System 2009-09-11 19:23:46 EDT
puppet-0.24.8-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-09-11 19:36:33 EDT
puppet-0.24.8-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-09-12 13:51:54 EDT
puppet-0.24.8-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-09-12 13:53:28 EDT
puppet-0.24.8-4.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.